Subject: Re: [PATCH v6 06/16] merge_recursive: abort properly upon errors

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Aug 2016 14:26:58 -0700

Johannes Schindelin <[email-masked]> writes:

>> > There are a couple of places where return values never indicated errors
>> > before, as wie simply died instead of returning.
>> 
>> s/wie/we/;
>
> Right. What can I say, I am surrounded by too many Germans.
>
> I fixed this locally, in case another re-roll should be required. What you
> have in `pu` looks correct to me, though. Let me know if you want me to
> re-submit nevertheless.

I usually do this kind of obvious typofix and consistency fix
without even mentioning them in my review comments to reduce the
noise levels.  But that works better ONLY if the patch authors then
fetch from 'pu' and replace their copies with what I fixed up
already and base their reroll on top by amending and/or building on
top (of course, that also requires my local fix must all be limited
to uncontroversial ones).

So either I should change my workflow and mention any and all
typofixes in my review comments (which consumes the review
bandwidth), or I should force patch authors to do the "fetch from
'pu' and replace" somehow to avoid this kind of back-and-forth.

I am not sure which should be the way to go.